Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.laf
Class Skeleton

    java.lang.Object
      com.bea.netuix.laf.AbstractLookAndFeelComponent
          com.bea.netuix.laf.Skeleton

All Implemented Interfaces
  LookAndFeelComponent

    public class Skeleton

extends AbstractLookAndFeelComponent

`Skeleton` provides a read-only interface for retrieving information related to the current Look and Feel skeleton configuration. `Skeleton` objects are valid only as long as the related `PortalLookAndFeel` object is valid.

See Also
  `PortalLookAndFeel.getSkeleton()`

Method Summary
`List<String>` | `getAvailableChromosomes()` Returns a list of all available skeleton chromosome names.
`String` | `getChromosome()` Returns the current skeleton chromosome name.
`String` | `getFullPath()` Returns the qualified skeleton path, including the current skeleton name.
`HtmlPathResolver` | `getHtmlPathResolver()` Returns an instance of a `HtmlPathResolver` related to this skeleton.
`String` | `getName()` Returns the component name.
`String` | `getPath()` Returns the webapp-relative base skeleton path.
`RenderFormat` | `getRenderFormat()` Returns an object representing the render format of this skeleton.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Description copied from interface: `LookAndFeelComponent`
  Returns the component name.

### getPath

    public String getPath()

  Returns the webapp-relative base skeleton path. This value is typically set via the `skeletonPath` attribute of the `lookAndFeel` control, or via the `skeletonPath` parameter of the `reinit` method.

  Returns
    The current skeleton path

### getFullPath

    public String getFullPath()

  Returns the qualified skeleton path, including the current skeleton name. The value returned from this method is influenced by the Look and Feel resource URL template, if present.

  Returns
    The qualified skeleton path

### getChromosome

    public String getChromosome()

  Returns the current skeleton chromosome name.

  Returns
    The current skeleton chromosome name; null if no skeleton chromosome is in effect

### getAvailableChromosomes

    public List<String> getAvailableChromosomes()

  Returns a list of all available skeleton chromosome names.

  Returns
    All available skeleton chromosome names; may be an empty list

### getHtmlPathResolver

    public HtmlPathResolver getHtmlPathResolver()

  Returns an instance of a `HtmlPathResolver` related to this skeleton. The object returned from this method shares the same validity constraint as the `Skeleton` object; it is valid only as long as the related `PortalLookAndFeel
  `

### getRenderFormat

    public RenderFormat getRenderFormat()

  Returns an object representing the render format of this skeleton. NOTE: Calls to `PortalLookAndFeel.reinit()` may change the format of the rendered portal page.

  Returns
    The render format of this skeleton

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.